<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myAddressLabel" jhiTranslate="pcidssApp.address.home.createOrEditLabel">Create or edit a Address</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!address.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="address.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.street1" for="field_street1">Street 1</label>
            <input type="text" class="form-control" name="street1" id="field_street1"
                [(ngModel)]="address.street1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.street2" for="field_street2">Street 2</label>
            <input type="text" class="form-control" name="street2" id="field_street2"
                [(ngModel)]="address.street2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.city" for="field_city">City</label>
            <input type="text" class="form-control" name="city" id="field_city"
                [(ngModel)]="address.city"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.postalCode" for="field_postalCode">Postal Code</label>
            <input type="text" class="form-control" name="postalCode" id="field_postalCode"
                [(ngModel)]="address.postalCode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.state" for="field_state">State</label>
            <input type="text" class="form-control" name="state" id="field_state"
                [(ngModel)]="address.state"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.province" for="field_province">Province</label>
            <input type="text" class="form-control" name="province" id="field_province"
                [(ngModel)]="address.province"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.country" for="field_country">Country</label>
            <input type="text" class="form-control" name="country" id="field_country"
                [(ngModel)]="address.country"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.address.url" for="field_url">Url</label>
            <input type="text" class="form-control" name="url" id="field_url"
                [(ngModel)]="address.url"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
